Bug 1118386 - [abrt] qt-creator: CPlusPlus::Parser::parsePrimaryExpression(): qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: CPlusPlus::Parser::parsePrimaryExpression(): qtcreator kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f7d077b8fe207b7ebe6a9541bb0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 14:57 UTC by Andre Vehreschild
Modified: 2014-09-02 06:47 UTC (History)
6 users (show)

Fixed In Version: qt-creator-3.2.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 06:43:32 UTC


Attachments (Terms of Use)
File: backtrace (250.72 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: cgroup (154 bytes, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: core_backtrace (485.34 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: dso_list (23.68 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: environ (4.98 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: exploitable (121 bytes, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: maps (110.28 KB, text/plain)
2014-07-10 14:57 UTC, Andre Vehreschild
no flags Details
File: open_fds (859 bytes, text/plain)
2014-07-10 14:58 UTC, Andre Vehreschild
no flags Details
File: proc_pid_status (981 bytes, text/plain)
2014-07-10 14:58 UTC, Andre Vehreschild
no flags Details
File: var_log_messages (790 bytes, text/plain)
2014-07-10 14:58 UTC, Andre Vehreschild
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTCREATORBUG-12673 None None None Never

Description Andre Vehreschild 2014-07-10 14:57:13 UTC
Description of problem:
Load current gcc source distribution as Std-Makefile project into qtcreator.
Add some environment variables to the build configuration. 
Crash does occur while adding those vars, but also simply occur by just starting qtcreator with loaded gcc project and waiting.

Version-Release number of selected component:
qt-creator-3.1.2-1.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        qtcreator gfortran.creator
crash_function: CPlusPlus::Parser::parsePrimaryExpression
executable:     /usr/bin/qtcreator
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 CPlusPlus::Parser::parsePrimaryExpression at ../3rdparty/cplusplus/Parser.cpp:4279
 #1 CPlusPlus::Parser::parseCorePostfixExpression at ../3rdparty/cplusplus/Parser.cpp:4896
 #2 CPlusPlus::Parser::parsePostfixExpression at ../3rdparty/cplusplus/Parser.cpp:4904
 #3 CPlusPlus::Parser::parseUnaryExpression at ../3rdparty/cplusplus/Parser.cpp:5043
 #4 CPlusPlus::Parser::parseCastExpression at ../3rdparty/cplusplus/Parser.cpp:5270
 #5 CPlusPlus::Parser::parseConditionalExpression at ../3rdparty/cplusplus/Parser.cpp:5330
 #6 CPlusPlus::Parser::parseConstantExpression at ../3rdparty/cplusplus/Parser.cpp:5362
 #7 CPlusPlus::Parser::parseLabeledStatement at ../3rdparty/cplusplus/Parser.cpp:3604
 #8 CPlusPlus::Parser::parseStatement at ../3rdparty/cplusplus/Parser.cpp:3115
 #9 CPlusPlus::Parser::parseLabeledStatement at ../3rdparty/cplusplus/Parser.cpp:3606

Comment 1 Andre Vehreschild 2014-07-10 14:57:25 UTC
Created attachment 917124 [details]
File: backtrace

Comment 2 Andre Vehreschild 2014-07-10 14:57:27 UTC
Created attachment 917125 [details]
File: cgroup

Comment 3 Andre Vehreschild 2014-07-10 14:57:46 UTC
Created attachment 917126 [details]
File: core_backtrace

Comment 4 Andre Vehreschild 2014-07-10 14:57:49 UTC
Created attachment 917127 [details]
File: dso_list

Comment 5 Andre Vehreschild 2014-07-10 14:57:51 UTC
Created attachment 917128 [details]
File: environ

Comment 6 Andre Vehreschild 2014-07-10 14:57:52 UTC
Created attachment 917129 [details]
File: exploitable

Comment 7 Andre Vehreschild 2014-07-10 14:57:53 UTC
Created attachment 917130 [details]
File: limits

Comment 8 Andre Vehreschild 2014-07-10 14:57:58 UTC
Created attachment 917131 [details]
File: maps

Comment 9 Andre Vehreschild 2014-07-10 14:58:00 UTC
Created attachment 917132 [details]
File: open_fds

Comment 10 Andre Vehreschild 2014-07-10 14:58:02 UTC
Created attachment 917133 [details]
File: proc_pid_status

Comment 11 Andre Vehreschild 2014-07-10 14:58:05 UTC
Created attachment 917134 [details]
File: var_log_messages

Comment 12 Sandro Mani 2014-07-15 09:55:46 UTC
Thanks for the bug report. Looks like a stack overflow due to infinite recursion. Setting an environment variable is not necessary to reproduce the problem, rather, the problem occurs when parsing a specific source file. Trying to figure out which.

Comment 13 Sandro Mani 2014-07-22 21:26:24 UTC
This has been fixed upstream, I expect it to be part of the next qt-creator release scheduled for mid August. If this bug is causing serious issues for you let me know and I'll backport the patch.

Comment 14 Fedora Update System 2014-08-21 23:12:02 UTC
qt-creator-3.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt-creator-3.2.0-1.fc20

Comment 15 Fedora Update System 2014-08-21 23:12:46 UTC
qt-creator-3.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt-creator-3.2.0-1.fc19

Comment 16 Fedora Update System 2014-08-23 01:57:40 UTC
Package qt-creator-3.2.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-creator-3.2.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9687/qt-creator-3.2.0-1.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-09-02 06:43:32 UTC
qt-creator-3.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-09-02 06:47:28 UTC
qt-creator-3.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.